Bug 473003 - X won't start if NetworkManager not running
X won't start if NetworkManager not running
Product: Fedora
Classification: Fedora
Component: upstart (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Casey Dahlin
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-11-25 19:14 EST by Stephen Warren
Modified: 2014-06-18 04:46 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-12-01 13:12:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Stephen Warren 2008-11-25 19:14:09 EST
Due to bugs 473001, 473002, I wanted to give up on NetworkManager (NM) and fall back to old-style network configuration e.g. system-config-network (s-c-n), ifcfg-eth*, "service network start", etc.

So, I did this:

* Validated that /etc/sysconfig/networking/profiles/default/* had sane content.
* chkconfig NetworkManager off
* chkconfig network on
* reboot

Now, for some reason, X startup is predicated upon NM running (or something like that) and now X won't start, so I had to switch back to running NM.

I don't know if this is an upstart bug (i.e. system-wide config/event scripts shipped as part of upstart), or an X bug (i.e. upstart config shipped with X), or some other package. Hence, starting this bug off against upstart; please re-assign as appropriate.

Comment 1 Casey Dahlin 2008-11-25 21:04:31 EST
Upstart's handling of these bits is very second-hand, so I don't know that we're causing it, but I'll keep the bug until I can sit down and test it personally.
Comment 2 Bill Nottingham 2008-11-26 14:38:18 EST
What is the failure you're seeing in X?
Comment 3 Stephen Warren 2008-11-26 16:10:58 EST
I think it simply doesn't attempt to start; when the boot "completes", I'm left starting at a text-mode screen (I have an NVIDIA card, so no KMS) that's blank, with just a blinking cursor.

I can change VT to some other and log in text-mode just fine.

The text-mode startup splash thing works fine during the boot process.
Comment 4 Bill Nottingham 2008-12-01 10:52:54 EST
What's the output of 'initctl status prefdm'?

Is there anythign in /var/log/Xorg.0.log of interest?
Comment 5 Stephen Warren 2008-12-01 12:39:50 EST
I can no longer reproduce this; I can boot to X just fine without NetworkManager now.

I'm not sure if my original issue was some strange one-off issue. Perhaps it's something I did to make NetworkManager work that I'm not reverting correctly when attempting to repro this issue.
Comment 6 Bill Nottingham 2008-12-01 13:12:13 EST
OK, closing.

Note You need to log in before you can comment on or make changes to this bug.